function [out] = simint(fun,low,up,precision)
%simulates an integral of @fun(x) with respect to x, upper bound up lower
%bound low, precision pre
    points = [low:precision:up];
    vals = fun(points);
    out = precision*sum(vals);
end

